############################
dataset:
    name: [BufferWeb]
    repeat_loop: [10]
    path: [[
        # NOTE: prefix = s3://tri-ml-sandbox-16011-us-west-2-datasets/cv_webdatasets/
        ####
        ['RoboCasa/all_buf[112_p16]-ctx[sequence-single]_cam[ALL]_resi[256,256]/indices/filenames.txt',1],
        ####
    ]]
    labels: [rgb,action,language,intrinsics,pose]
    labels_context: [rgb,action,language,intrinsics,pose]
    shuffle_shards: [True]
    parallelism: [1]
    augmentation:
        resize: [256,256]
        resize_supervision: True
        preserve_depth: False
    params:
        threads: 1
        context: [0,24]
        cameras: [0,1]
        # cameras_context: [0,1,2,3]
        # cameras_context_sample: 3
        shuffle: True
        sample: 1
############################
